## node-bowser 0.7.3

=== Makefile ===
boosh:
	node make/build.js

REPORTER = dot

test:
	@NODE_ENV=test ./node_modules/.bin/mocha \
		--reporter $(REPORTER) \

test-w:
	@NODE_ENV=test ./node_modules/.bin/mocha \
		--reporter $(REPORTER) \
		--growl \
		--watch

.PHONY: test test-w

=== debian/changelog ===
node-bowser (0.7.3-2) unstable; urgency=medium

  * Update VCS URLs.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 24 Sep 2015 10:43:09 +0200

node-bowser (0.7.3-1) unstable; urgency=low

  * Initial upload (Closes: #790956)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 03 Jul 2015 12:49:22 +0200

=== debian/control ===
Source: node-bowser
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9.0.0), node-uglify
Standards-Version: 3.9.6
Homepage: https://github.com/ded/bowser
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-bowser.git/
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-bowser.git

Package: libjs-bowser
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: JavaScript browser detection library
 A simple utility for detecting browser product and version details.

Package: node-bowser
Architecture: all
Depends: ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3), libjs-bowser
Description: JavaScript browser detection library
 A simple utility for detecting browser product and version details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

override_dh_auto_clean:
	rm -rf debian/build

override_dh_auto_build:
	if [ ! -d debian/build ]; \
		then mkdir debian/build; \
	fi; \
	cat src/copyright.js src/bowser.js > bowser.js; \
	for _FILE in bowser.js ; \
	do \
		cp $${_FILE} debian/build/; \
		$(js-compressor)  -o debian/build/$$(basename $${_FILE} .js).min.js $${_FILE}; \
	done

override_dh_auto_test:
	true    # requires node-mocha, not yet packaged

# Uscan will read debian/watch, grab the correct version, repack and leave
# it in the current directory
get-orig-source:
	uscan --no-conf --force-download --rename --repack --download-current-version --destdir=.

=== debian/watch ===
version=3
https://github.com/ded/bowser/tags .*/archive/v(\d[\d\.]+)\.tar\.gz
